Subject: Re: [RFC RTNETLINK 04/09]: Link creation API

From: Patrick McHardy <[email-masked]>
Date: Tue, 05 Jun 2007 23:09:11 +0200

David Miller wrote:
> From: Patrick McHardy <[email-masked]>
> Date: Tue,  5 Jun 2007 16:12:57 +0200 (MEST)
> 
>>[RTNETLINK]: Link creation API
>>
>>Add rtnetlink API for creating, changing and deleting software devices.
>>
>>Signed-off-by: Patrick McHardy <[email-masked]>
> 
> 
> Looks mostly fine, perhaps you can make even more use of 'const'
> for instances of "struct rtnl_link_ops *" at least as function
> arguments deeper in the implementation.

Good suggestion. I initially had rtnl_link_ops const everywhere
(since the lookup was by family I stored it in an array and didn't
need the list_head), then changed it to a list and removed all
consts. I'll add them back where possible.